/**
 * Tankerkönig API
 * API for getting real time gas prices from https://creativecommons.tankerkoenig.de. Real time gas price data is available under open data/open source license even for commercial use. Currently only prices for Germany are available.
 *
 * OpenAPI spec version: 4.0.6
 * Contact: info@tankerkoenig.de
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

/**
 * Complaint entry, used to give  feedback for incorrect data.
 */
export interface Complaint { 
    /**
     * API key of the submitter
     */
    apikey: string;
    /**
     * UUID of station for which a complaint is sent
     */
    id: string;
    /**
     * Type of complaint
     */
    type: Complaint.TypeEnum;
    /**
     * wrongPrice - the correct price as float. wrongPetrolLocation - correct location as LAT,LON (2 floats). Omitted for wrongStatus. For all others - corrected value
     */
    correction?: string;
}
export namespace Complaint {
    export type TypeEnum = 'wrongPetrolStationName' | 'wrongStatusOpen' | 'wrongStatusClosed' | 'wrongPriceE5' | 'wrongPriceE10' | 'wrongPriceDiesel' | 'wrongPetrolStationBrand' | 'wrongPetrolStationStreet' | 'wrongPetrolStationHouseNumber' | 'wrongPetrolStationPostcode' | 'wrongPetrolStationPlace' | 'wrongPetrolStationLocation';
    export const TypeEnum = {
        WrongPetrolStationName: 'wrongPetrolStationName' as TypeEnum,
        WrongStatusOpen: 'wrongStatusOpen' as TypeEnum,
        WrongStatusClosed: 'wrongStatusClosed' as TypeEnum,
        WrongPriceE5: 'wrongPriceE5' as TypeEnum,
        WrongPriceE10: 'wrongPriceE10' as TypeEnum,
        WrongPriceDiesel: 'wrongPriceDiesel' as TypeEnum,
        WrongPetrolStationBrand: 'wrongPetrolStationBrand' as TypeEnum,
        WrongPetrolStationStreet: 'wrongPetrolStationStreet' as TypeEnum,
        WrongPetrolStationHouseNumber: 'wrongPetrolStationHouseNumber' as TypeEnum,
        WrongPetrolStationPostcode: 'wrongPetrolStationPostcode' as TypeEnum,
        WrongPetrolStationPlace: 'wrongPetrolStationPlace' as TypeEnum,
        WrongPetrolStationLocation: 'wrongPetrolStationLocation' as TypeEnum
    };
}